<?xml version="1.0"?>
<p:declare-step xmlns:p="http://www.w3.org/ns/xproc"
		xmlns:c="http://www.w3.org/ns/xproc-step">
  <p:output port="result"/>
  <p:serialization port="result" indent="true"/>

  <p:directory-list path="../../../../data" include-filter="^.*\.xml$"/>

  <p:make-absolute-uris match="c:file/@name">
    <p:with-option name="base-uri"
		   select="/c:directory/@xml:base"/>
  </p:make-absolute-uris>

  <p:for-each>
    <p:iteration-source select="/c:directory/c:file"/>

    <p:load name="load">
      <p:with-option name="href" select="/c:file/@name"/>
    </p:load>

    <p:xquery>
      <p:input port="query">
	<p:data href="../../common/test1.xquery"/>
      </p:input>
      <p:input port="parameters">
	<p:empty/>
      </p:input>
    </p:xquery>

  </p:for-each>

  <p:wrap-sequence wrapper="MONOGRAPHS"/>

  <p:xslt>
    <p:input port="stylesheet">
      <p:document href="../../common/test1.xslt"/>
    </p:input>
    <p:input port="parameters">
      <p:empty/>
    </p:input>
  </p:xslt>

</p:declare-step>
