#
# un-dosify XTEST
XTEST=$(xfile $XTEST)

in=$XTEST/data
common=../../common
out=_out


xread pages < $common/pages.xml



for file in $in/*.xml ; do
	xread src < $file
	id=<[$src/monographs/*[1]/@dx_id/string()]>
	title=<[$src/monographs/*[1]/title/string()]>
	type=<[$src/monographs/*[1]/name()]>

	views=<[()]>

	# For every page in pages.xml run the transformation 
	for p in <[$pages/pages/page[@mono_type=$type] ]>; do
        	q=<[$p/@name/string()]>
		e=<[$p/@exists/string()]>
		# echo e is: $e
		# Only create page if exists node exists		
		if xpath -e -i $src -q "$e" ; then 
			# echo -- executing $q
			pgname=${id}-${q}.html
			xquery -f ${common}/${q}.xquery -i $src | 
			xslt -f ${common}/xtext2html.xslt >  $out/$pgname
			
			views=<[$views,<A href="{$pgname}">{$p/@title/string()}</A>,<BR/>]>	
		fi  
	done
	xecho <[ <html><body><H1>{$title}</H1>{$views}</body></html> ]> > $out/${id}.html
done

