# test2 
# extract a subset of information from a set of xml files depending on the existance of files
# referenced in the xml in the filesystem
#

# Un-dosify XTEST
XTEST=$(xfile $XTEST)

images=$XTEST/images

matching=()
for i in $XTEST/data/*.xml ; do 
   	imgs=$<(xquery -f ../../common/images.xquery < $i)
	for img in <[ $imgs/images/image ]> ; do
	   ifile=<[ $img/@file/string() ]>
	   thumb=<[ $img/@thumb/string() ]>

	   # If both thumb and image file then make an entry
	   if [ -f $images/$ifile -a -f $images/$thumb ] ; then 
              matching=<[ $matching , $img ]>
	   fi
	done
done

# Output a xml file with matching images only
xecho <[ 
 <images>{ $matching }</images>
]>


