
in=$XTEST/data
common=../../common
out=_out



for file  in $XTEST/data/*.xml ; do 
	echo $file
	# read id, title, type from file using 1 xquery
	id=$(xquery -qs:"/monographs/*[1]/@dx_id/string()" -s:- < $file)
	title=$(xquery -qs:"/monographs/*[1]/title/string()" -s:- < $file)
	type=$(xquery -qs:"/monographs/*[1]/name()" -s:- < $file)
	#echo $id $title $type
	echo "<html><body><H1>$title</H1>" > $out/${id}.html
	for q in $(xquery -qs:'declare variable $type external; /pages/page[@mono_type=$type]/@name/string()' -s:-  type=$type  < $common/pages.xml) ; do
            e=$(xquery -qs:'declare variable $type external; declare variable $name external ; /pages/page[@mono_type=$type and @name=$name]/@exists/string()' -s:-  type=$type name=$q < $common/pages.xml) 
 	    title=$(xquery -qs:'declare variable $type external; declare variable $name external ; /pages/page[@mono_type=$type and @name=$name]/@title/string()' -s:-  type=$type name=$q < $common/pages.xml) 

	    echo q: $q e: $e 

	   
	    if [ $(xquery -qs:"fn:exists($e)" -s:- <$file) = "true"  ] ; then 
	        echo Query page exists $q
		pgname=${id}-${q}.html
		xquery -q:${common}/${q}.xquery -s:- <$file | 
			xslt -xsl:${common}/xtext2html.xslt -s:- >  $out/$pgname
	    	echo "<A href="$pgname">$title</A><BR/>" >> $out/${id}.html
	    fi

	done
        echo "</body></html>" >> $out/${id}.html
done
